@extends('adminlte::page')
@section('css')
<style>
	.tabs-left,
	.tabs-right {
		border-bottom: none;
		padding-top: 2px;
	}

	.tabs-left {
		border-right: 1px solid #ddd;
	}

	.tabs-right {
		border-left: 1px solid #ddd;
	}

	.tabs-left>li,
	.tabs-right>li {
		float: none;
		margin-bottom: 2px;
	}

	.tabs-left>li {
		margin-right: -1px;
	}

	.tabs-right>li {
		margin-left: -1px;
	}

	ul li {
		margin-left: 30px
	}

	ul li.row-list {
		width: 300px !important;
		float: left
	}

	.tabs-left>li.active>a,
	.tabs-left>li.active>a:hover,
	.tabs-left>li.active>a:focus {
		border-bottom-color: #ddd;
		border-right-color: transparent;
	}

	.tabs-right>li.active>a,
	.tabs-right>li.active>a:hover,
	.tabs-right>li.active>a:focus {
		border-bottom: 1px solid #ddd;
		border-left-color: transparent;
	}

	.tabs-left>li>a {
		border-radius: 4px 0 0 4px;
		margin-right: 0;
		display: block;
	}

	.tabs-right>li>a {
		border-radius: 0 4px 4px 0;
		margin-right: 0;
	}
	ul{
		margin-bottom: 100px
	}
</style>
@stop
@section('content')
<?php 
	Fun::lang();
	$index = 1;
?>
<div class="title-add">
	<div class="page-bar">
		<ul class="page-breadcrumb">
			<li> <a class="ng-binding" href="#"><i class="fa fa-dashboard"></i> Dashboard</a> </li>
			<li><a href="#">Manage User</a></li>
			<li><a href="#">Branch Role</a></li>
		</ul>
	</div>
</div>
<div class="page">
	<div class="top-content">
		<div class="row">
			<div class="col-sm-12 col-xs-12">
				<div class="title-page">
					<div class="pull-left">
						<h3>Branch Role</h3>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="form-wrapper">
				{!! Form::model($role, ['method' => 'PATCH','route' => ['branch-role.update', $role->id]]) !!}
				<div class="form-group col-sm-6 col-xs-12">
					<label class="required">Title</label>
					@if( $role->name == 'Branches Management' || $role->name == 'Administrator' )
					{!! Form::text('name', null, array('placeholder' => 'Title','class' => 'form-control','readonly')) !!}
					@else
					{!! Form::text('name', null, array('placeholder' => 'Title','class' => 'form-control')) !!}
					@endif
				</div>
				<div class="col-md-12">
					<h3>Select Permission</h3>
					<hr />
					<div class="col-xs-9">
						<div class="tab-content">
							@foreach($prefixes as $key => $prefix)
							<div class="tab-pane {{($key==0)?'active':''}}" id="{{$key}}-tab">
								<div class="col-sm-12 col-xs-12">
									@foreach($groups as $j => $group)
										@if($group->prefix_name== $prefix->prefix_name)
										<ul>
											<label style="width: 100%;color: #2445a9;margin-bottom:20px" class="checkbox-list">
												<input type="checkbox" class="main-box" id="{{$index}}-box" value="checked" name="checkbox_1[]">
												Check All {{$group->group_name}}
												<span class="checkmark"></span>
											</label>
											@foreach($permission as $value => $perm)
												@if($perm->group_name == $group->group_name)
													<li class="row-list">
														<label style="width: 100%;font-size: 14px" class="checkbox-list">
															{{ Form::checkbox('permission[]', $perm->id, in_array($perm->id, $rolePermissions) ? true : false, array('class' => 'name '.$index.'-box')) }}
															{{ $perm->name }}<span class="checkmark"></span>
														</label>
													</li>
												@endif
											@endforeach
										</ul>
										<hr>
										<?php 
											$index++;
										?>
										@endif
									@endforeach
									
								</div>
							</div>
							@endforeach
						</div>
					</div>
					<div class="col-xs-3">
						<ul class="nav nav-tabs tabs-right sideways">
							@foreach($prefixes as $index => $prefix)
							<li class="{{($index==0)?'active':''}}"><a href="#{{$index}}-tab" data-toggle="tab">{{$prefix->prefix_name}}</a></li>
							@endforeach
						</ul>
					</div>
				</div>
				<div class="col-sm-12 col-xs-12">
					<div class="form-group">
						{{-- @if( $role->name == 'Branches Management' || $role->name == 'Administrator' )
                    		<strong class="pull-right text-danger">Administrator & Branches Management Can not update roles</strong>
	                    @else
	                    	 <button type="submit" class="button_sm button_primary pull-right"><span class="fa fa-save"></span> Save</button>
	                    @endif --}}
						<button type="submit" class="button_sm button_primary pull-right"><span class="fa fa-save"></span> Save</button>
						<button type="button" onClick="javascript:history.go(-1)" class="button_primary pull-right">
							<span class=" fa fa-arrow-circle-left"></span> Back</button>
					</div>
				</div>
				{!! Form::close() !!}
			</div>
		</div>
	</div>
</div>

@endsection

@section('js')
<script type="text/javascript">
	$(document).on('change', '.main-box', function() {
		var id = $(this).attr('id');
		if ($(this).is(":checked")) {
			$("." + id).prop('checked', true);
		} else {
			$("." + id).prop('checked', false);
		}
	});
	$("#setting_check").change(function() {
		$(".setting_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#setting_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".setting_checkbox").prop('checked', false);
		}
		if ($('.setting_checkbox:checked').length == $('.setting_checkbox').length) {
			$(".setting_checkbox").prop('checked', true);
		}
	});


	$("#user_magement_check").change(function() {
		$(".user_magement_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#user_magement_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".user_magement_checkbox").prop('checked', false);
		}
		if ($('.user_magement_checkbox:checked').length == $('.user_magement_checkbox').length) {
			$(".user_magement_checkbox").prop('checked', true);
		}
	});

	$("#manage_stock_check").change(function() {
		$(".manage_stock_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#manage_stock_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".manage_stock_checkbox").prop('checked', false);
		}
		if ($('.manage_stock_checkbox:checked').length == $('.manage_stock_checkbox').length) {
			$(".manage_stock_checkbox").prop('checked', true);
		}
	});

	$("#agency_check").change(function() {
		$(".agency_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#agency_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".agency_checkbox").prop('checked', false);
		}
		if ($('.agency_checkbox:checked').length == $('.agency_checkbox').length) {
			$(".agency_checkbox").prop('checked', true);
		}
	});

	$("#operation_check").change(function() {
		$(".operation_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#operation_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".operation_checkbox").prop('checked', false);
		}
		if ($('.operation_checkbox:checked').length == $('.operation_checkbox').length) {
			$(".operation_checkbox").prop('checked', true);
		}
	});

	$("#operation_external_check").change(function() {
		$(".operation_external_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#operation_external_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".operation_external_checkbox").prop('checked', false);
		}
		if ($('.operation_external_checkbox:checked').length == $('.operation_external_checkbox').length) {
			$(".operation_external_checkbox").prop('checked', true);
		}
	});

	$("#accounting_check").change(function() {
		$(".accounting_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#accounting_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".accounting_checkbox").prop('checked', false);
		}
		if ($('.accounting_checkbox:checked').length == $('.accounting_checkbox').length) {
			$(".accounting_checkbox").prop('checked', true);
		}
	});

	$("#account_report_check").change(function() {
		$(".account_report_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#account_report_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".account_report_checkbox").prop('checked', false);
		}
		if ($('.account_report_checkbox:checked').length == $('.account_report_checkbox').length) {
			$(".account_report_checkbox").prop('checked', true);
		}
	});
	$("#booking_report_check").change(function() {
		$(".booking_report_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#booking_report_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".booking_report_checkbox").prop('checked', false);
		}
		if ($('.booking_report_checkbox:checked').length == $('.booking_report_checkbox').length) {
			$(".booking_report_checkbox").prop('checked', true);
		}
	});

	$("#operation_report_check").change(function() {
		$(".operation_report_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#operation_report_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".operation_report_checkbox").prop('checked', false);
		}
		if ($('.operation_report_checkbox:checked').length == $('.operation_report_checkbox').length) {
			$(".operation_report_checkbox").prop('checked', true);
		}
	});

	$("#report_stock_check").change(function() {
		$(".report_stock_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#report_stock_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".report_stock_checkbox").prop('checked', false);
		}
		if ($('.report_stock_checkbox:checked').length == $('.report_stock_checkbox').length) {
			$(".report_stock_checkbox").prop('checked', true);
		}
	});
	$("#account_setting_check").change(function() {
		$(".account_setting_checkbox").prop('checked', $(this).prop("checked"));
	});
	$('#account_setting_check').change(function() {
		if (false == $(this).prop("checked")) {
			$(".account_setting_checkbox").prop('checked', false);
		}
		if ($('.account_setting_checkbox:checked').length == $('.account_setting_checkbox').length) {
			$(".account_setting_checkbox").prop('checked', true);
		}
	});
</script>
@endsection